package teste.simplify.el.func;

import br.gov.framework.demoiselle.util.Constant;
import br.gov.framework.demoiselle.util.config.ConfigKey;
import br.gov.framework.demoiselle.util.config.ConfigType;
import br.gov.framework.demoiselle.util.config.IConfig;

/**
 * Expression Language additional functions configuration class.
 */
public class ElFuncConfig implements IConfig {

	private static final long serialVersionUID = 1L;

	@ConfigKey(name = "component.demoiselle.crud.el.func.classes",
			type = ConfigType.PROPERTIES, resourceName = Constant.FRAMEWORK_CONFIGURATOR_FILE)
	private String[] elFuncClasses;

	public String[] getElFuncClasses() {
		return elFuncClasses;
	}

}
