package teste.simplify.persistence.dao.implementation;

import java.util.ArrayList;
import java.util.List;

import teste.simplify.bean.Continente;
import teste.simplify.persistence.dao.IContinenteDAO;
import br.gov.component.demoiselle.crud.supercrud.SuperCrudDAO;

public class ContinenteDAO extends SuperCrudDAO<Continente> implements IContinenteDAO {

	private List<Continente> continentes;

	public ContinenteDAO() {
		this.continentes = new ArrayList<Continente>();
		this.continentes.add(new Continente("Ásia"));
		this.continentes.add(new Continente("América"));
		this.continentes.add(new Continente("África"));
		this.continentes.add(new Continente("Antártica"));
		this.continentes.add(new Continente("Oceania"));
	}

	@Override
	public List<Continente> findAll() {
		return this.continentes;
	}

	@Override
	public List<Continente> find(Continente filter) {
		return this.continentes;
	}

}
