package teste.simplify.persistence.dao.implementation;

import java.util.ArrayList;
import java.util.List;

import teste.simplify.bean.Planeta;
import teste.simplify.persistence.dao.IPlanetaDAO;
import br.gov.component.demoiselle.crud.supercrud.SuperCrudDAO;

public class PlanetaDAO extends SuperCrudDAO<Planeta> implements IPlanetaDAO {

	public PlanetaDAO() {
		lista = new ArrayList<Planeta>();
		lista.add(new Planeta(1, "Mercúrio", 0));
		lista.add(new Planeta(2, "Venus", 0));
		lista.add(new Planeta(3, "Terra", 1));
		lista.add(new Planeta(4, "Marte", 2));
		lista.add(new Planeta(5, "Júpiter", 63));
		lista.add(new Planeta(6, "Saturno", 56));
		lista.add(new Planeta(7, "Urano", 27));
		lista.add(new Planeta(8, "Netuno", 13));
	}

	private List<Planeta> lista = new ArrayList<Planeta>();

	@Override
	public List<Planeta> findAll() {
		return lista;
	}

	@Override
	public List<Planeta> find(Planeta filter) {
		return lista;
	}

	@Override
	public Object insert(Planeta pojo) {
		return lista.add(pojo);
	}

	@Override
	public boolean exists(Planeta pojo) {
		return lista.contains(pojo);
	}

	@Override
	public void remove(Planeta pojo) {
		lista.remove(pojo);
	}

	@Override
	public void update(Planeta pojo) {
		lista.add(pojo);
	}

}
