package teste.simplify.view.managedbean;

import teste.simplify.bean.Planeta;
import br.gov.component.demoiselle.crud.annotation.NavigationRule;
import br.gov.component.demoiselle.crud.annotation.Page;
import br.gov.component.demoiselle.crud.annotation.PageType;
import br.gov.component.demoiselle.crud.supercrud.SuperCrudMB;

@SuppressWarnings("serial")
@Page(title = "Planetas do Sistema Solar", currentView = "planeta_list",
navigationRules = {
    @NavigationRule(type = PageType.SHOW, title="Será substituido", currentView = "planeta_view", previousView = "planeta_list")
})
public class PlanetaMB extends SuperCrudMB<Planeta> {

	@Override
    public Integer getMaxRows() {
        return 15;
    }
}
